ColumnCounter.GroupByPrefixReversed (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.filter

## Class ColumnCounter.GroupByPrefixReversed

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnCounter
  - - org.apache.cassandra.db.filter.ColumnCounter.GroupByPrefix
    - - org.apache.cassandra.db.filter.ColumnCounter.GroupByPrefixReversed

- Enclosing class:
    ColumnCounter

      public static class ColumnCounter.GroupByPrefixReversed
      extends ColumnCounter.GroupByPrefix

  Similar to GroupByPrefix, but designed to handle counting cells in reverse order.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `ColumnCounter.GroupByPrefix, ColumnCounter.GroupByPrefixReversed`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.filter.ColumnCounter.GroupByPrefix

      `countPartitionsWithOnlyStaticData, previous, toGroup, type`

    - ### Fields inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `live, timestamp, tombstones`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupByPrefixReversed(long timestamp, CellNameType type, int toGroup, boolean countPartitionsWithOnlyStaticData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `count(Cell cell, DeletionInfo.InOrderTester tester)`
    `java.util.Iterator<Cell>` | `getCellIterator(ColumnFamily container)`

    - ### Methods inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `countAll, live, tombstones`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupByPrefixReversed

          public GroupByPrefixReversed(long timestamp,
                                       CellNameType type,
                                       int toGroup,
                                       boolean countPartitionsWithOnlyStaticData)

  - ### Method Detail

    - #### getCellIterator

          public java.util.Iterator<Cell> getCellIterator(ColumnFamily container)

      Overrides:
        `getCellIterator` in class `ColumnCounter`

    - #### count

          public boolean count(Cell cell,
                               DeletionInfo.InOrderTester tester)

      Overrides:
        `count` in class `ColumnCounter.GroupByPrefix`
      Returns:
        true if the cell counted as a live cell or a valid tombstone; false if it got immediately discarded for being shadowed by a range- or a partition tombstone

Copyright © 2018 The Apache Software Foundation